# Class ConsumableModifier`Abstract`

#### Hierarchy (view full)

- Modifier
  - ConsumableModifier
    - AddPokeballModifier
    - AddVoucherModifier
    - ConsumablePokemonModifier
    - MoneyRewardModifier

- Defined in src/modifier/modifier.ts:229

#####
Index

### Constructors

constructor

### Properties

type

### Methods

add
apply
match
shouldApply

## Constructors

### constructor

- new ConsumableModifier(type): ConsumableModifier

- #### Parameters

  - type: ModifierType

  #### Returns ConsumableModifier

  Overrides Modifier.constructor

  - Defined in src/modifier/modifier.ts:230

## Properties

### type

type: ModifierType

Inherited from Modifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:234

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from Modifier.apply

  - Defined in src/modifier/modifier.ts:135

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from Modifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides Modifier.shouldApply

  - Defined in src/modifier/modifier.ts:238